C     [DEM30]
C     DEMONSTRATION FOR THE REPRESENTATION OF A FUNCTION OF A COMPLEX
C     VARIABLE.  THE COMPLEX CONTOURING PROGRAM PLTKC AUTOMATICALLY
C     CONTOURS BOTH THE MODULUS AND THE ARGUMENT OF A COMPLEX FUNCTION,
C     WHICH IT RECEIVES IN THE FORM OF A COMPLEX ARRAY.
C     [26-MAY-75]

      EXTERNAL    PLTCA
      COMPLEX     P,U,V,Z,W(121,121)

      P(Z)=1.0+Z*(1.0+Z*(1.0+Z*(1.0+Z*(1.0+Z))))

      NX=121
      NY=121
      X1=-1.5
      X2= 1.5
      Y1=-1.5
      Y2= 1.5
      DX=(X2-X1)/FLOAT(NX-1)
      DY=(Y2-Y1)/FLOAT(NY-1)
      Y=Y1
      DO 20 I=1,NY
      X=X1
      DO 10 J=1,NX
      Z=CMPLX(X,Y)
      U=1.0/P(Z)-Z
      W(J,I)=U
   10 X=X+DX
   20 Y=Y+DY

      CALL PLT00
      CALL PLTBO
      CALL PLTUR (X1,X1,1.0,X2,X2,Y1,Y1,1.0,Y2,Y2,0.01,PLTCA)
      CALL PLTLA ('DEM30')
      CALL PLTKC (0.0,W,10.0,51,4,NX,4,NY,PLTCA)
      CALL PLTEJ
      CALL EXIT
      END

